Subject: RE: bug#7617: 24.0.50; `expand-file-name': removal of slashes

From: "Drew Adams" <[email-masked]>
Date: Mon, 13 Dec 2010 09:10:33 -0800

> But then why do you need to expand it? why not keep it as the user
> typed it, ~/ and whatnot?  You can then expand it when the user hits
> RET, like Emacs does normally.

As I said from the beginning, I am performing several operations using the raw
user input.  This expansion is only one of them.

> > Thanks for adding mention of slash collapsing to the doc 
> > string.  I hope you will also consider mentioning that a
> > valid file name is expected and anything else results in
> > undefined behavior.  Feel free to close the bug now.
> 
> Done, on both counts.

Great; thanks.